<?php

namespace App\Http\Controllers\Home;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Repository\Home\HomeRepository;


class HomeController extends Controller
{
  /**
   * @var HomeRepository
   */
  private $HomeRepository;

  /**
	* ConfigAppController constructor.
	* @param HomeRepository $HomeRepository
	*/
  public function __construct(HomeRepository $HomeRepository)
  {
    $this->HomeRepository = $HomeRepository;
  }

	public function index(){

		$this->HomeRepository->acesso();
  	return $this->HomeRepository->guestAll();
  }

	public function mail(Request $req){
		return $this->HomeRepository->mail($req);
  }
  public function cadEmp(){
    return $this->HomeRepository->cadEmp();
  }


}
